//priority: 4

//This script removes some recipes that are either redundant or unbalanced.
ServerEvents.recipes(event => {

    //Epic Knights removals (and addons)
    event.remove({output: 'magistuarmory:blacksmith_hammer'})
    event.remove({output: 'magistuarmory:steel_ingot'})
    event.remove({id: 'magistuarmory:steel_ingot_to_steel_nuggets'})
    event.remove({id: 'magistuarmory:steel_nuggets_to_steel_ingot'})
    event.remove({id: 'knightsofterrafirma:crafting/bronze_lamellar_rows'})
    event.remove({mod: 'epic_knights_ores_and_alloys'})    
    event.remove({output: 'antiquelegacy:bronze_mixture'})
    event.remove({id: 'antiquelegacy:iron_ring'}) 
    event.remove({id: 'antiquelegacy:iron_chainmail'})
    event.remove({id: /^antiquelegacy:small_.*_plate$/})
    event.remove({id: /^antiquelegacy:.*_plate$/})
    event.remove({id: /^antiquelegacy:.*_ingot$/})
    
    //ironchests
    event.remove({id: /^ironchests:.*_dolly$/})
    event.remove({id: /^ironchests:key.*/})
    event.remove({id: 'ironchests:lock'})
    event.remove({id: 'ironchests:copper_chest_upgrade'})

    //musket
    event.remove({id: 'musketmod:musket_upgrade_smithing_template'})

    //simpleradio
    event.remove({id: 'simpleradio:speaker'})
    event.remove({id: 'simpleradio:copper_wire'})

    //TWT Tweaks
    event.remove({output: 'immersiveengineering:nugget_steel'})
    event.remove({id: /^minecraft:.*_ingot_from_nuggets$/})
    event.remove({id: /^immersiveengineering:crafting\/nugget_.*_to_ingot_.*$/})
    event.remove({id: /^dfc:crafting\/metal\/.*\/(aluminum|lead)$/})
    

   
    $nuggetcompat.forEach((nugget) => {

    event.remove({not: {type: 'tfc:anvil'}, output: `${nugget}`})
    
   })

    event.remove({id: /^dfc:heating\/metal\/.*(\/|_)powder$/})
    event.remove({id: /^dfc:quern\/.*_powder$/, not: {id: 'dfc:quern/gypsum_powder'}})
    //Removing this. Crafting a decorated pot bricks the server.
    event.remove({id: 'bsa:crafting/ceramic/unfired_decorated_pot'})

})